Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextIStream Class Reference

The QTextIStream class is a convenience class for input streams. More...

`#include <qtextstream.h>`

Inherits QTextStream.

List of all member functions.

## Public Members

- QTextIStream ( const QString * s )
- QTextIStream ( QByteArray ba )
- QTextIStream ( FILE * f )

## Detailed Description

The QTextIStream class is a convenience class for input streams.

For simple tasks code should be simple, so this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This class makes it easy, for example, to write things like this:

        QString data = "123 456";
        int a, b;
        QTextIStream(&data) >> a >> b;

See also QTextOStream, Input/Output and Networking and Text Related Classes.

## Member Function Documentation

### QTextIStream::QTextIStream ( const QString * s )

Constructs a stream to read from the string s.

### QTextIStream::QTextIStream ( QByteArray ba )

Constructs a stream to read from the array ba.

### QTextIStream::QTextIStream ( FILE * f )

Constructs a stream to read from the file f.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.